using ATC_MaterialBind.Entity;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace SlnMesnac.Repository.service.Impl
{
    public class sys_dict_dataServiceImpl : BaseServiceImpl<sys_dict_data>, Isys_dict_dataService
    {
        public sys_dict_dataServiceImpl(Repository<sys_dict_data> repository):base(repository)
        {
        }
        public async Task<List<sys_dict_data>> GetProductType()
        {
            List<sys_dict_data> ProductTypeList = null;
            try
            {
                ProductTypeList = _rep.GetList(x=>x.dictType == "productType");
                return ProductTypeList;
            }
            catch (Exception ex)
            {
                return ProductTypeList;
            }
        }
    }
}